Debian Bug report logs - #598387
dtc-xen statslogger breaks and dtc-xen leaks memory after a xm start/stop

version graph

Package: dtc-xen; Maintainer for dtc-xen is Thomas Goirand <zigo@debian.org>; Source for dtc-xen is src:dtc-xen.

Reported by: Thomas Goirand <zigo@debian.org>

Date: Tue, 28 Sep 2010 16:51:01 UTC

Severity: grave

Found in version dtc-xen/0.5.11-1

Fixed in version dtc-xen/0.5.13-1

Done: Thomas Goirand <thomas@goirand.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <thomas@goirand.fr>:
Bug#598387; Package dtc-xen. (Tue, 28 Sep 2010 16:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to Thomas Goirand <thomas@goirand.fr>. (Tue, 28 Sep 2010 16:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dtc-xen statslogger breaks and dtc-xen leaks memory after a xm start/stop
Date: Wed, 29 Sep 2010 00:47:49 +0800
Package: dtc-xen
Version: 0.5.11-1
Severity: grave

We have discovered that when a xm start/stop/shutdown is requested using
the dtc-xen SOAP daemon, dtc-xen tries to trap the stdout/stderr in
order to be able to forward it to the SOAP client that connects to it.
The issue is that after it did so, it didn't release stderr/stdout,
so that they are going into an internal variable of dtc-xen instead.

The result is that, after a xm start/stop/shutdown:
- dtc-xen leaks memory, with a variable that takes the output of
xm list every minutes
- the dataCollector thread that does xm list cannot get the CPU
statistics as it was designed for, because the output is redirected
to a variable.

Version 0.5.12-1 that I just uploaded in SID should correct the above
issue, but I think it was important to open a RC bug so that this can
be tracked by the RT. Sorry that I didn't open the bug first, and closed
it in the package, but as it stands, I don't think it deserves a new
upload just to fix that fact. I will tag and close this bug
appropriately as dtc-xen migrates from SID to Testing. Let me know if
you a new upload with a Close: #X is needed.

Cheers,

Thomas Goirand (Zigo)

-- System Information:
Debian Release: 5.0.5
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-xen-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Bug Marked as fixed in versions dtc-xen/0.5.12-1. Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Wed, 29 Sep 2010 04:09:06 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Wed, 29 Sep 2010 14:36:05 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Wed, 29 Sep 2010 14:36:05 GMT) Full text and rfc822 format available.

Message #12 received at 598387-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 598387-close@bugs.debian.org
Subject: Bug#598387: fixed in dtc-xen 0.5.13-1
Date: Wed, 29 Sep 2010 14:33:49 +0000
Source: dtc-xen
Source-Version: 0.5.13-1

We believe that the bug you reported is fixed in the latest version of
dtc-xen, which is due to be installed in the Debian FTP archive:

dtc-xen-firewall_0.5.13-1_all.deb
  to main/d/dtc-xen/dtc-xen-firewall_0.5.13-1_all.deb
dtc-xen_0.5.13-1.diff.gz
  to main/d/dtc-xen/dtc-xen_0.5.13-1.diff.gz
dtc-xen_0.5.13-1.dsc
  to main/d/dtc-xen/dtc-xen_0.5.13-1.dsc
dtc-xen_0.5.13-1_all.deb
  to main/d/dtc-xen/dtc-xen_0.5.13-1_all.deb
dtc-xen_0.5.13.orig.tar.gz
  to main/d/dtc-xen/dtc-xen_0.5.13.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598387@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated dtc-xen package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 29 Sep 2010 21:50:02 +0800
Source: dtc-xen
Binary: dtc-xen dtc-xen-firewall
Architecture: source all
Version: 0.5.13-1
Distribution: unstable
Urgency: low
Maintainer: Thomas Goirand <zigo@debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 dtc-xen    - SOAP daemon and scripts to allow control panel management for Xen
 dtc-xen-firewall - A small firewall script for your dom0
Closes: 598387
Changes: 
 dtc-xen (0.5.13-1) unstable; urgency=low
 .
   * New upstream version fixing:
     - The last upgrade made xm start/stop/shutdown not working at all,
     so we now remove completely the stdout/stderr trick. It wont be
     reporting issues, but at least it will work (Closes: #598387).
Checksums-Sha1: 
 a16e084ab450170abb74f80ba9326c79dd7c4f66 1158 dtc-xen_0.5.13-1.dsc
 4869a25919f61b4352f72937e80c8cb304f19426 57923 dtc-xen_0.5.13.orig.tar.gz
 f88f6517027289526db1f9a9f91eb0876a859ca8 51206 dtc-xen_0.5.13-1.diff.gz
 005de8f80f4d0ee68ab58ded4c4cd76218ec2295 89312 dtc-xen_0.5.13-1_all.deb
 d2371675632925d8ad07a9cab6a3473a6047e13e 11724 dtc-xen-firewall_0.5.13-1_all.deb
Checksums-Sha256: 
 9ea37ec8b238114a6b34bddc1588c769fc5fe6b7a801f67a4506222b61224ed8 1158 dtc-xen_0.5.13-1.dsc
 76dc6698409eb8d56b3d9dfc5d6c69f8e9b4c5acd22f64bc566265e4ce68d312 57923 dtc-xen_0.5.13.orig.tar.gz
 52e5455d262d863f6a3caab16936128030c6419149adc51f66af5105b593cd5e 51206 dtc-xen_0.5.13-1.diff.gz
 2bcefa67c06f7d93578646fa68068e836365799cd65b179500e9df924277b3b4 89312 dtc-xen_0.5.13-1_all.deb
 62bb047f16645987b01a27bc7f908c897ab7e013e271d496feabbe0d16383f93 11724 dtc-xen-firewall_0.5.13-1_all.deb
Files: 
 11838ff81304447e7deae70c88751386 1158 web extra dtc-xen_0.5.13-1.dsc
 1d279ffd4452553bc325e676b16a32d1 57923 web extra dtc-xen_0.5.13.orig.tar.gz
 48fe419171a481ad0df81afe1dd69717 51206 web extra dtc-xen_0.5.13-1.diff.gz
 9898b4ba949cd3a2f8476c9b7a0c8576 89312 web extra dtc-xen_0.5.13-1_all.deb
 5ed753df91c6e9c2c07e4f61aa96f10a 11724 web extra dtc-xen-firewall_0.5.13-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyjR9UACgkQl4M9yZjvmkn3IACgvWuMXPlX4vajo1dkrHtuvOmx
7msAoIMCbFb7qVzAip1J5GlL8vvrimLr
=bEOf
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions dtc-xen/0.5.12-1 and dtc-xen/0.5.13-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 30 Sep 2010 10:45:05 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions dtc-xen/0.5.13-1. Request was from Thomas Goirand <thomas@goirand.fr> to control@bugs.debian.org. (Thu, 30 Sep 2010 10:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Thomas Goirand <zigo@debian.org>:
Bug#598387; Package dtc-xen. (Fri, 01 Oct 2010 07:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <thomas@goirand.fr>:
Extra info received and forwarded to list. Copy sent to Thomas Goirand <zigo@debian.org>. (Fri, 01 Oct 2010 07:39:07 GMT) Full text and rfc822 format available.

Message #21 received at 598387@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: dtcdev@gplhost.sg, dtcannounce <dtcannounce@gplhost.sg>, 598387@bugs.debian.org
Subject: New dtc-xen bugfix 0.5.13 release
Date: Fri, 01 Oct 2010 15:31:33 +0800
Hello,

This is an announcement of a bugfix release for DTC-Xen.

I have released few days ago a new version 0.5.13, that corrects a quite
bad issue, related to standard output and error redirections when
starting or stopping a VM. The corresponding patches are here:

http://git.gplhost.com/gitweb/?p=dtc-xen.git;a=commitdiff;h=0647fae221c7bcd5b618703e65d5283e93e39f4e
http://git.gplhost.com/gitweb/?p=dtc-xen.git;a=commitdiff;h=30563cc35843a598b6f300be63df5576e2f46d72

What happened is that when doing xm start/stop/shutdown, dtc-xen was
trying to redirect stderr/stdout so that it could catch an eventual
error message. The issue is that it didn't release it, so that later,
the dataCollector that does "xm list" didn't work. Worse, the output of
"xm list", after a xm stop/start/shutdown (any of them), was going in an
internal variable of dtc-xen (localsysout / localsyserr). The result was
something that appeared as a memory leak, with these 2 variable getting
the content of the output of "xm list" every minutes.

In short, dtc-xen could fill-up the memory of your dom0, refuse to stop,
and has its statistic reporting feature broken, as soon as you are
trying to start, stop or shutdown a VM through DTC-Xen's soap server.

The version 0.5.12 was an attempt to solve this, it did, but then xm
start/stop/shutdown didn't work anymore, which is why the same day,
DTC-Xen 0.5.13 has been released.

If you are running DTC-Xen 0.5.x, you should upgrade immediately.

Best regards,

Thomas Goirand

P.S: As we are now adding new features in DTC-Xen for supporting VZ, and
I hope also KVM and Virtualbox soon, our Git has now an up-to-date
stable-0.5 branch, while we will be working on the master branch as of
today. New features will *not* get into the 0.5.x branch anymore, and
new features in DTC-Xen will not be released until we have support for
other virtualization technologies working.





Reply sent to Thomas Goirand <thomas@goirand.fr>:
You have taken responsibility. (Mon, 11 Oct 2010 17:06:08 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Mon, 11 Oct 2010 17:06:08 GMT) Full text and rfc822 format available.

Message #26 received at 598387-done@bugs.debian.org (full text, mbox):

From: Thomas Goirand <thomas@goirand.fr>
To: 598387-done@bugs.debian.org
Subject: That was fixed and migrated to Squeeze
Date: Tue, 12 Oct 2010 01:03:07 +0800
That was fixed and migrated to Squeeze




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 09 Nov 2010 07:33:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:19:13 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.